import { msgApi } from '@services'

export default class MsgAction {
  /* 获取我的消息信息 */
  getMyMsg (callback) {
    return msgApi.getMyMsg().then(res => {
      let json = res.data.map(function (_, i) {
        return {
          isRead: false,
          id: _.id,
          text: _.message,
          time: _.created_time,
          isShow: false // 该字段用来做 每条信息的打开、关闭
        }
      })
      // callback(json) // 可以不使用callback 因为使用then
      return json
    })
  }
}
